Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 136)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartsEngine.java	(revision 137)
@@ -4,15 +4,12 @@
 import java.io.IOException;
 import java.util.ArrayList;
 import java.util.HashMap;
-import java.util.Properties;
 
 import org.eclipse.core.runtime.CoreException;
 import org.eclipse.core.runtime.IConfigurationElement;
 import org.eclipse.core.runtime.Platform;
 import org.txm.Toolbox;
-import org.txm.core.chartsengine.base.messages.ChartsEngineMessages;
-import org.txm.functions.ca.CA;
-import org.txm.functions.classification.CAH;
+import org.txm.chartsengine.core.messages.ChartsEngineCoreMessages;
 import org.txm.utils.logger.Log;
 
 
@@ -423,131 +420,53 @@
 			file = File.createTempFile(prefix, "." + this.outputFormat, resultsDir);
 		}
 		catch (IOException e) {
-			Log.severe(ChartsEngineMessages.ChartsEngine_CANT_CREATE_TMP_FILE_CHART + e);
+			Log.severe(ChartsEngineCoreMessages.ChartsEngine_CANT_CREATE_TMP_FILE_CHART + e);
 		}
 
 		// TODO : old code, useful ? and/or return null instead of the file if canWrite() return false ?
 		if(!file.canWrite()) {
-			Log.severe(ChartsEngineMessages.ChartsEngine_CANT_WRITE_IN_FILE + file);
+			Log.severe(ChartsEngineCoreMessages.ChartsEngine_CANT_WRITE_IN_FILE + file);
 		}
 		return file;
 	}
 
 
-	/**
-	 * Creates a temporary file in USER_TXM_HOME\results.
-	 * The prefix and the suffix are computed according to the specified chart type and the current output format of the charts engine.
-	 * @param chartType
-	 * @return
-	 */
-	// FIXME: stop to use and remove the chart static types in ChartsEngine? Cause this is now delegate to the chart creator extensions? 
-	public File createTmpFile(int chartType)	{
-		if(chartType == ChartsEngine.CHART_TYPE_PARTITION_DIMENSIONS)	{
-			return this.createTmpFile("info");
-		}
-		else if(chartType == ChartsEngine.CHART_TYPE_SPECIFICITIES)	{
-			return this.createTmpFile("specif");
-		}
-		else if(chartType == ChartsEngine.CHART_TYPE_CA_SINGULAR_VALUES)	{
-			return this.createTmpFile("casingularvalues");
-		}
-		else if(chartType == ChartsEngine.CHART_TYPE_CA_FACTORIAL_MAP)	{
-			return this.createTmpFile("cafactorialmap");
-		}
-		else if(chartType == ChartsEngine.CHART_TYPE_PROGRESSION)	{
-			return this.createTmpFile("progression");
-		}
-		else if(chartType == ChartsEngine.CHART_TYPE_CAH_2D)	{
-			return this.createTmpFile("cah2d");
-		}
-		else if(chartType == ChartsEngine.CHART_TYPE_CAH_3D)	{
-			return this.createTmpFile("cah3d");
-		}
+//	/**
+//	 * Creates a temporary file in USER_TXM_HOME\results.
+//	 * The prefix and the suffix are computed according to the specified chart type and the current output format of the charts engine.
+//	 * @param chartType
+//	 * @return
+//	 */
+//	// FIXME: stop to use and remove the chart static types in ChartsEngine? Cause this is now delegate to the chart creator extensions? 
+//	public File createTmpFile(int chartType)	{
+//		if(chartType == ChartsEngine.CHART_TYPE_PARTITION_DIMENSIONS)	{
+//			return this.createTmpFile("info");
+//		}
+//		else if(chartType == ChartsEngine.CHART_TYPE_SPECIFICITIES)	{
+//			return this.createTmpFile("specif");
+//		}
+//		else if(chartType == ChartsEngine.CHART_TYPE_CA_SINGULAR_VALUES)	{
+//			return this.createTmpFile("casingularvalues");
+//		}
+//		else if(chartType == ChartsEngine.CHART_TYPE_CA_FACTORIAL_MAP)	{
+//			return this.createTmpFile("cafactorialmap");
+//		}
+//		else if(chartType == ChartsEngine.CHART_TYPE_PROGRESSION)	{
+//			return this.createTmpFile("progression");
+//		}
+//		else if(chartType == ChartsEngine.CHART_TYPE_CAH_2D)	{
+//			return this.createTmpFile("cah2d");
+//		}
+//		else if(chartType == ChartsEngine.CHART_TYPE_CAH_3D)	{
+//			return this.createTmpFile("cah3d");
+//		}
+//
+//		return this.createTmpFile("unknown");
+//	}
 
-		return this.createTmpFile("unknown");
-	}
 
 
-	/**
-	 * Creates a factorial map chart from the specified CA result.
-	 * @param ca
-	 * @return the factorial map chart object
-	 */
-	public abstract Object createCAFactorialMapChart(CA ca);
 
-
-	/**
-	 * Creates a factorial map chart from the specified CA result and writes it in the specified file.
-	 * @param ca
-	 * @param file
-	 * @return the generated file containing the chart
-	 */
-	public abstract File createCAFactorialMapChartFile(CA ca, File file);
-
-
-	/**
-	 * Creates a factorial map chart from the specified CA result and writes it in a temporary file in USER_TXM_HOME\results.
-	 * The prefix and the suffix are computed according to the chart type and the current output format of the charts engine.
-	 * @param ca
-	 * @return
-	 */
-	public File createCAFactorialMapChartFile(CA ca)	{
-		return this.createCAFactorialMapChartFile(ca, this.createTmpFile(ChartsEngine.CHART_TYPE_CA_FACTORIAL_MAP));
-	}
-
-
-	/**
-	 * Creates a string title, shared by charts engine implementations, for the CA factorial map chart from the specified result.
-	 * @param ca
-	 * @return
-	 */
-	public String createCAFactorialMapChartTitle(CA ca)	{
-
-		String partitionName;
-		if (ca.getPartition() == null) {
-			partitionName = "<no partition>";
-		}
-		else	{
-			partitionName = ca.getPartition().getName();
-		}
-
-		String corpusName;
-		if (ca.getCorpus() == null) {
-			corpusName = "<no corpus>";
-		}
-		else	{
-			corpusName = ca.getCorpus().getName();
-		}
-
-		return ChartsEngineMessages.bind(ChartsEngineMessages.ChartsEngine_CA_FACTORIAL_MAP_TITLE, partitionName, corpusName);
-	}
-
-	/**
-	 * Creates a bar plot with singular values of the specified CA result.
-	 * @param ca
-	 * @return the singular values bar plot object
-	 */
-	public abstract Object createCASingularValuesBarChart(CA ca);
-
-	/**
-	 * Creates a bar plot with singular values of the specified CA result and writes it in the specified file.
-	 * @param ca
-	 * @return
-	 */
-	public abstract File createCASingularValuesBarChartFile(CA ca, File file);
-
-
-	/**
-	 * Creates a bar plot with singular values of the specified CA result and writes it in a temporary file in USER_TXM_HOME\results.
-	 * The prefix and the suffix are computed according to the chart type and the current output format of the charts engine.
-	 * @param ca
-	 * @return
-	 */
-	public File createCASingularValuesBarChartFile(CA ca)	{
-		return this.createCASingularValuesBarChartFile(ca, this.createTmpFile(ChartsEngine.CHART_TYPE_CA_SINGULAR_VALUES));
-	}
-
-
 // FIXME
 //	/**
 //	 * Creates a chart from the specified CAH result.
@@ -559,19 +478,19 @@
 //	}
 //
 
-	/**
-	 * Creates a chart from the specified CAH result.
-	 * @param cah
-	 * @return
-	 */
-	public Object createCAHChart(CAH cah, boolean chart2d)	{
-		if(chart2d)	{
-			return this.createCAH2dChart(cah);
-		}
-		else	{
-			return this.createCAH3dChart(cah);
-		}
-	}
+//	/**
+//	 * Creates a chart from the specified CAH result.
+//	 * @param cah
+//	 * @return
+//	 */
+//	public Object createCAHChart(CAH cah, boolean chart2d)	{
+//		if(chart2d)	{
+//			return this.createCAH2dChart(cah);
+//		}
+//		else	{
+//			return this.createCAH3dChart(cah);
+//		}
+//	}
 
 // FIXME
 //
@@ -596,90 +515,90 @@
 //	}
 
 
-	/**
-	 * Creates a chart from the specified CAH result and writes it in the specified file.
-	 * @param cah
-	 * @param file
-	 * @return
-	 */
-	public File createCAHChartFile(CAH cah, boolean display2D, File file)	{
-		if(display2D)	{
-			return this.createCAH2dChartFile(cah, file);
-		}
-		else	{
-			return this.createCAH3dChartFile(cah, file);
-		}
-	}
+//	/**
+//	 * Creates a chart from the specified CAH result and writes it in the specified file.
+//	 * @param cah
+//	 * @param file
+//	 * @return
+//	 */
+//	public File createCAHChartFile(CAH cah, boolean display2D, File file)	{
+//		if(display2D)	{
+//			return this.createCAH2dChartFile(cah, file);
+//		}
+//		else	{
+//			return this.createCAH3dChartFile(cah, file);
+//		}
+//	}
+//
+//	/**
+//	 * Creates a chart from the specified CAH result and writes it in a temporary file in USER_TXM_HOME\results
+//	 * @param cah
+//	 * @param display2D
+//	 * @return
+//	 */
+//	public File createCAHChartFile(CAH cah, boolean display2D)	{
+//		if(display2D)	{
+//			return this.createCAH2dChartFile(cah);
+//		}
+//		else	{
+//			return this.createCAH3dChartFile(cah);
+//		}
+//	}
+//
+//	/**
+//	 * Creates a 2d chart from the specified CAH result.
+//	 * @param cah
+//	 * @return
+//	 */
+//	public abstract Object createCAH2dChart(CAH cah);
+//
+//
+//	/**
+//	 * Creates a 2d chart from the specified CAH result and writes it in the specified file.
+//	 * @param cah
+//	 * @param file
+//	 * @return
+//	 */
+//	public abstract File createCAH2dChartFile(CAH cah, File file);
+//
+//
+//	/**
+//	 * Creates a 2d chart from the specified CAH result and writes it in a temporary file in USER_TXM_HOME\results.
+//	 * The prefix and the suffix are computed according to the chart type and the current output format of the charts engine.
+//	 * @param cah
+//	 * @return
+//	 */
+//	public File createCAH2dChartFile(CAH cah)	{
+//		return this.createCAH2dChartFile(cah, this.createTmpFile(ChartsEngine.CHART_TYPE_CAH_2D));
+//	}
+//
+//	/**
+//	 * Creates a 3d chart from the specified CAH result.
+//	 * @param cah
+//	 * @return
+//	 */
+//	public abstract Object createCAH3dChart(CAH cah);
+//
+//
+//	/**
+//	 * Creates a 3d chart from the specified CAH result and writes it in the specified file.
+//	 * @param cah
+//	 * @param file
+//	 * @return
+//	 */
+//	public abstract File createCAH3dChartFile(CAH cah, File file);
+//
+//
+//	/**
+//	 * Creates a 3d chart from the specified CAH result and writes it in a temporary file in USER_TXM_HOME\results.
+//	 * The prefix and the suffix are computed according to the chart type and the current output format of the charts engine.
+//	 * @param cah
+//	 * @return
+//	 */
+//	public File createCAH3dChartFile(CAH cah)	{
+//		return this.createCAH3dChartFile(cah, this.createTmpFile(ChartsEngine.CHART_TYPE_CAH_3D));
+//	}
 
-	/**
-	 * Creates a chart from the specified CAH result and writes it in a temporary file in USER_TXM_HOME\results
-	 * @param cah
-	 * @param display2D
-	 * @return
-	 */
-	public File createCAHChartFile(CAH cah, boolean display2D)	{
-		if(display2D)	{
-			return this.createCAH2dChartFile(cah);
-		}
-		else	{
-			return this.createCAH3dChartFile(cah);
-		}
-	}
-
-	/**
-	 * Creates a 2d chart from the specified CAH result.
-	 * @param cah
-	 * @return
-	 */
-	public abstract Object createCAH2dChart(CAH cah);
-
-
-	/**
-	 * Creates a 2d chart from the specified CAH result and writes it in the specified file.
-	 * @param cah
-	 * @param file
-	 * @return
-	 */
-	public abstract File createCAH2dChartFile(CAH cah, File file);
-
-
-	/**
-	 * Creates a 2d chart from the specified CAH result and writes it in a temporary file in USER_TXM_HOME\results.
-	 * The prefix and the suffix are computed according to the chart type and the current output format of the charts engine.
-	 * @param cah
-	 * @return
-	 */
-	public File createCAH2dChartFile(CAH cah)	{
-		return this.createCAH2dChartFile(cah, this.createTmpFile(ChartsEngine.CHART_TYPE_CAH_2D));
-	}
-
-	/**
-	 * Creates a 3d chart from the specified CAH result.
-	 * @param cah
-	 * @return
-	 */
-	public abstract Object createCAH3dChart(CAH cah);
-
-
-	/**
-	 * Creates a 3d chart from the specified CAH result and writes it in the specified file.
-	 * @param cah
-	 * @param file
-	 * @return
-	 */
-	public abstract File createCAH3dChartFile(CAH cah, File file);
-
-
-	/**
-	 * Creates a 3d chart from the specified CAH result and writes it in a temporary file in USER_TXM_HOME\results.
-	 * The prefix and the suffix are computed according to the chart type and the current output format of the charts engine.
-	 * @param cah
-	 * @return
-	 */
-	public File createCAH3dChartFile(CAH cah)	{
-		return this.createCAH3dChartFile(cah, this.createTmpFile(ChartsEngine.CHART_TYPE_CAH_3D));
-	}
-
 //	/**
 //	 * Creates a chart from the specified specificities result.
 //	 * @param specificitesResult the specificities result
@@ -1090,100 +1009,11 @@
 		return supportedOutputFileFormats;
 	}
 
-	/**
-	 * Sets the CA factorial map rows visibility and refreshes the chart.
-	 * @param ca
-	 * @param visible
-	 */
-	public void updateChartCAFactorialMapSetRowsVisible(Object chart, CA ca, boolean visible)	{
-		ca.setShown(ca.isShowIndividuals(), visible);
-	}
 
-	/**
-	 * Sets the CA factorial map columns visibility and refreshes the chart.
-	 * @param ca
-	 * @param visible
-	 */
-	public void updateChartCAFactorialMapSetColumnsVisible(Object chart, CA ca, boolean visible)	{
-		ca.setShown(visible, ca.isShowVariables());
-	}
 
 
-	/**
-	 * Sets the CA factorial map dimensions.
-	 * @param editorPart
-	 * @param dimension1
-	 * @param dimension2
-	 */
-	public void updateChartCAFactorialMapSetDimensions(Object chart, CA ca, int dimension1, int dimension2)	{
-		ca.setDimensions(dimension1, dimension2);
-	}
-
-	/**
-	 * Highlights points in the CA factorial map chart according to the specified labels.
-	 * @param chart
-	 * @param rows
-	 * @param labels
-	 */
-	public abstract void updateChartCAFactorialMapHighlightPoints(Object chart, boolean rows, String[] labels);
-
-	/**
-	 * Sets the items selection order on label.
-	 * @param chart
-	 * @param itemsSelectionOrder
-	 */
-	public abstract void updateChartCAFactorialMapSetLabelItemsSelectionOrder(Object chart, String[] rowLabels, String[] colLabels);
 	
-	/**
-	 * Gets the rows points currently selected in the CA factorial map chart.
-	 * @return
-	 */
-	public abstract ArrayList<String> getCAFactorialMapChartSelectedRowPoints(Object chart);
 
-	/**
-	 * Gets the columns points currently selected in the CA factorial map chart.
-	 * @return
-	 */
-	public abstract ArrayList<String> getCAFactorialMapChartSelectedColumnPoints(Object chart);
-	
-	
-	/**
-	 * Gets the positions of the points currently selected in the Progression step chart.
-	 * @param chart
-	 * @return
-	 */
-	public abstract ArrayList<Integer> getProgressionChartSelectedPointPositions(Object chart);
-	
-	/**
-	 * Gets the numbers of item in series of the selected points.
-	 * @param chart
-	 * @return
-	 */
-	public abstract ArrayList<Integer> getProgressionChartSelectedPointNumbers(Object chart);
-	
-	
-	/**
-	 * Gets the positions of all the points in the Progression step chart. 
-	 * @param chart
-	 * @return
-	 */
-	public abstract ArrayList<Integer> getProgressionChartAllPointPositions(Object chart);
-	
-	/**
-	 * Gets the selected series indexes.
-	 * @param chart
-	 * @return
-	 */
-	public abstract ArrayList<Integer> getProgressionChartSelectedSeries(Object chart);
-	
-	/**
-	 * Gets the last selected series.
-	 * @param chart
-	 * @return
-	 */
-	public abstract int getProgressionChartLastSelectedSeries(Object chart);
-
-	
 	@Override
 	public String toString() {
 		String str = this.name + " (description: " + this.description + ", output format: " + this.outputFormat;
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartCreator.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartCreator.java	(revision 136)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/ChartCreator.java	(revision 137)
@@ -1,6 +1,8 @@
 package org.txm.chartsengine.core;
 
+import java.awt.Color;
 import java.io.File;
+import java.util.ArrayList;
 
 
 /**
@@ -133,4 +135,19 @@
 		this.fileNamePrefix = fileNamePrefix;
 	}
 	
+	/**
+	 * Gets the color used to draw the shapes of the series.
+	 * @param chart
+	 * @param index
+	 * @return
+	 */
+	public abstract ArrayList<Color> getSeriesShapesColors(Object chart);
+
+
+	/**
+	 * @return the fileNamePrefix
+	 */
+	public String getFileNamePrefix() {
+		return fileNamePrefix;
+	}
 }
Index: tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/messages/ChartsEngineCoreMessages.java
===================================================================
--- tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/messages/ChartsEngineCoreMessages.java	(revision 0)
+++ tmp/org.txm.chartsengine.core/src/org/txm/chartsengine/core/messages/ChartsEngineCoreMessages.java	(revision 137)
@@ -0,0 +1,25 @@
+package org.txm.chartsengine.core.messages;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.core.messages.TXMCoreMessages;
+
+
+
+public class ChartsEngineCoreMessages extends NLS {
+
+	private static final String BUNDLE_NAME = "org.txm.chartsengine.core.messages.messages"; //$NON-NLS-1$
+
+	public static String ChartsEngine_CANT_CREATE_TMP_FILE_CHART;
+	public static String ChartsEngine_CANT_WRITE_IN_FILE;
+
+	public static String ChartsEngine_LABEL_VALUE_SEPARATORS;
+
+
+	static {
+		// initialize resource bundle
+		TXMCoreMessages.initializeMessages(BUNDLE_NAME, ChartsEngineCoreMessages.class);
+	}
+
+	private ChartsEngineCoreMessages() {
+	}
+}

Index: tmp/org.txm.chartsengine.core/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.chartsengine.core/META-INF/MANIFEST.MF	(revision 136)
+++ tmp/org.txm.chartsengine.core/META-INF/MANIFEST.MF	(revision 137)
@@ -8,4 +8,5 @@
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
 Bundle-ActivationPolicy: lazy
 Export-Package: org.txm.chartsengine.core,
+ org.txm.chartsengine.core.messages,
  org.txm.chartsengine.core.preferences
Index: tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/messages/SpecificitiesUIMessages.java
===================================================================
--- tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/messages/SpecificitiesUIMessages.java	(revision 0)
+++ tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/messages/SpecificitiesUIMessages.java	(revision 137)
@@ -0,0 +1,47 @@
+package org.txm.specificities.rcp.messages;
+
+import org.eclipse.osgi.util.NLS;
+
+public class SpecificitiesUIMessages extends NLS {
+	
+
+	//private static final String BUNDLE_NAME = "org.txm.rcp.wordcloud.messages.messages"; //$NON-NLS-1$
+	// FIXME: use the same properties file than the bundle	
+	private static final String BUNDLE_NAME = "l10n.bundle"; //$NON-NLS-1$
+	
+	
+	
+	public static String SpecificitiesPreferencePage_0;
+	public static String SpecificitiesPreferencePage_1;
+	public static String SpecificitiesPreferencePage_2;
+	public static String SpecificitiesPreferencePage_3;
+	public static String SpecificitiesPreferencePage_4;
+	public static String SpecificitiesPreferencePage_5;
+	public static String SpecificitiesPreferencePage_6;
+	public static String SpecificitiesPreferencePage_7;
+
+	public static String SpecificitiesPreferencePage_8;
+	public static String SpecificitiesResultEditorInput_0;
+	public static String SpecificitiesResultEditorInput_1;
+	public static String SpecificitiesResultEditorInput_11;
+	public static String SpecificitiesResultEditorInput_2;
+	public static String SpecificitiesResultEditorInput_5;
+	public static String SpecificitiesResultEditorInput_6;
+	public static String SpecificitiesResultEditorInput_7;
+	public static String SpecificitiesTableEditor_0;
+	public static String SpecificitiesTableEditor_1;
+	public static String SpecificitiesTableEditor_11;
+	public static String SpecificitiesTableEditor_16;
+	public static String SpecificitiesTableEditor_17;
+	public static String SpecificitiesTableEditor_5;
+	public static String SpecificitiesTableEditor_8;
+	
+	
+	static {
+		// initialize resource bundle
+		NLS.initializeMessages(BUNDLE_NAME, SpecificitiesUIMessages.class);
+	}
+
+	private SpecificitiesUIMessages() {
+	}
+}

Index: tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/preferences/SpecificitiesPreferencePage.java
===================================================================
--- tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/preferences/SpecificitiesPreferencePage.java	(revision 136)
+++ tmp/org.txm.specificities.rcp/src/org/txm/specificities/rcp/preferences/SpecificitiesPreferencePage.java	(revision 137)
@@ -40,7 +40,7 @@
 import org.txm.rcpapplication.jface.DoubleFieldEditor;
 import org.txm.specificities.core.preferences.SpecificitiesPreferences;
 import org.txm.specificities.rcp.adapters.SpecificitiesAdapterFactory;
-import org.txm.specificities.rcp.messages.RCPSpecificitiesMessages;
+import org.txm.specificities.rcp.messages.SpecificitiesUIMessages;
 /**
  * Specificities preferences page.
  * @author mdecorde
@@ -66,10 +66,10 @@
 	protected void createFieldEditors() {
 				
 		
-		this.addField(new StringFieldEditor(SpecificitiesPreferences.FORMAT, RCPSpecificitiesMessages.SpecificitiesPreferencePage_3, this.getFieldEditorParent()));
+		this.addField(new StringFieldEditor(SpecificitiesPreferences.FORMAT, SpecificitiesUIMessages.SpecificitiesPreferencePage_3, this.getFieldEditorParent()));
 
 		
-		IntegerFieldEditor maxScoreField = new IntegerFieldEditor(SpecificitiesPreferences.MAX_SCORE, RCPSpecificitiesMessages.SpecificitiesPreferencePage_8, this.getFieldEditorParent()); 
+		IntegerFieldEditor maxScoreField = new IntegerFieldEditor(SpecificitiesPreferences.MAX_SCORE, SpecificitiesUIMessages.SpecificitiesPreferencePage_8, this.getFieldEditorParent()); 
 		maxScoreField.setTextLimit(4);
 		maxScoreField.setValidRange(10, 1000);
 		this.addField(maxScoreField);
@@ -78,7 +78,7 @@
 		// Charts rendering
 		Composite chartsTab = SWTChartsComponentsProvider.createChartsRenderingPreferencesTabFolderComposite(this.getFieldEditorParent());
 		
-		this.addField(new DoubleFieldEditor(SpecificitiesPreferences.CHART_BANALITY, RCPSpecificitiesMessages.SpecificitiesPreferencePage_7, chartsTab));
+		this.addField(new DoubleFieldEditor(SpecificitiesPreferences.CHART_BANALITY, SpecificitiesUIMessages.SpecificitiesPreferencePage_7, chartsTab));
 		
 		// Create a group for columns management of mixed boolean fields and field/text input fields
 		Composite booleansGroup = new Composite(chartsTab, SWT.NONE);
@@ -86,9 +86,9 @@
 		gridData.horizontalSpan = 2;
 		booleansGroup.setLayoutData(gridData);
 		
-		this.addField(new BooleanFieldEditor(SpecificitiesPreferences.CHART_TRANSPOSE, RCPSpecificitiesMessages.SpecificitiesPreferencePage_4, booleansGroup));
-		this.addField(new BooleanFieldEditor(SpecificitiesPreferences.CHART_DRAW_LINES, RCPSpecificitiesMessages.SpecificitiesPreferencePage_5, booleansGroup));
-		this.addField(new BooleanFieldEditor(SpecificitiesPreferences.CHART_DRAW_BARS, RCPSpecificitiesMessages.SpecificitiesPreferencePage_6, booleansGroup));
+		this.addField(new BooleanFieldEditor(SpecificitiesPreferences.CHART_TRANSPOSE, SpecificitiesUIMessages.SpecificitiesPreferencePage_4, booleansGroup));
+		this.addField(new BooleanFieldEditor(SpecificitiesPreferences.CHART_DRAW_LINES, SpecificitiesUIMessages.SpecificitiesPreferencePage_5, booleansGroup));
+		this.addField(new BooleanFieldEditor(SpecificitiesPreferences.CHART_DRAW_BARS, SpecificitiesUIMessages.SpecificitiesPreferencePage_6, booleansGroup));
 		
 		// other shared preferences
 		SWTChartsComponentsProvider.createChartsRenderingPreferencesFields(this, chartsTab);
@@ -103,7 +103,7 @@
 	@Override
 	public void init(IWorkbench workbench) {
 		this.setPreferenceStore(getNewPreferenceStore());
-		this.setTitle(RCPSpecificitiesMessages.SpecificitiesPreferencePage_2);
+		this.setTitle(SpecificitiesUIMessages.SpecificitiesPreferencePage_2);
 		this.setImageDescriptor(SpecificitiesAdapterFactory.ICON);
 	}
 
Index: tmp/org.txm.chartsengine.jfreechart.rcp/META-INF/MANIFEST.MF
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.rcp/META-INF/MANIFEST.MF	(revision 136)
+++ tmp/org.txm.chartsengine.jfreechart.rcp/META-INF/MANIFEST.MF	(revision 137)
@@ -4,7 +4,8 @@
 Bundle-SymbolicName: org.txm.chartsengine.jfreechart.rcp;singleton:=true
 Bundle-Version: 1.0.0.qualifier
 Bundle-RequiredExecutionEnvironment: JavaSE-1.6
-Require-Bundle: jfreechart,
+Require-Bundle: org.txm.ca.core;bundle-version="1.0.0",
+ jfreechart,
  org.txm.chartsengine.core,
  org.txm.core;bundle-version="0.7.0",
  org.txm.chartsengine.rcp;bundle-version="1.0.0";visibility:=reexport,
Index: tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/JFCChartsSwingComponentsProvider.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/JFCChartsSwingComponentsProvider.java	(revision 136)
+++ tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/JFCChartsSwingComponentsProvider.java	(revision 137)
@@ -22,12 +22,8 @@
 import org.txm.chartsengine.jfreechart.core.JFCChartsEngine;
 import org.txm.chartsengine.jfreechart.core.themes.base.ExtendedNumberAxis;
 import org.txm.chartsengine.jfreechart.core.themes.base.Theme;
-import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.renderers.FCAItemSelectionRenderer;
 import org.txm.chartsengine.jfreechart.core.themes.highcharts.defaulttheme.renderers.ItemSelectionCategoryLineAndShapeRenderer;
 import org.txm.chartsengine.rcp.SWTChartsComponentsProvider;
-import org.txm.functions.ca.CA;
-import org.txm.functions.classification.CAH;
-import org.txm.functions.specificities.SpecificitesResult;
 
 /**
  * Swing components provider.
@@ -286,69 +282,69 @@
 
 
 
-	/**
-	 * Creates a chart panel containing a CA scatter plot from the specified CA result.
-	 * @param ca
-	 * @return the chart panel
-	 */
-	public ChartPanel createCAFactorialMapChartPanel(CA ca)	{
+//	/**
+//	 * Creates a chart panel containing a CA scatter plot from the specified CA result.
+//	 * @param ca
+//	 * @return the chart panel
+//	 */
+//	public ChartPanel createCAFactorialMapChartPanel(CA ca)	{
+//
+//		ChartPanel chartPanel;
+//
+//		// Creating the chart from the current charts engine
+//		JFreeChart chart = this.chartsEngine.createCAFactorialMapChart(ca);
+//
+//		chartPanel = this.getTheme().createChartPanel(this.swtChartsComponentProvider, chart);
+//
+//		// Need to be called after the theme is applied to the chart else the legends of not visible series aren't created
+//		chart.getXYPlot().getRenderer().setSeriesVisible(0, ca.isShowVariables()); // Rows
+//		chart.getXYPlot().getRenderer().setSeriesVisible(1, ca.isShowIndividuals()); // Columns
+//
+//		((FCAItemSelectionRenderer) chart.getXYPlot().getRenderer()).setChartPanel(chartPanel);
+//
+//
+//        return chartPanel;
+//	}
+//
+//
+//
+//	/**
+//	 * Creates a chart panel containing a bar chart with the singular values of the specified CA result.
+//	 * @param ca
+//	 * @return
+//	 */
+//	public ChartPanel createCASingularValuesBarChartChartPanel(CA ca)	{
+//
+//		ChartPanel chartPanel;
+//
+//		// Creating the chart from the current charts engine
+//        JFreeChart chart = this.chartsEngine.createCASingularValuesBarChart(ca);
+//
+//        chartPanel = this.getTheme().createChartPanel(this.swtChartsComponentProvider, chart);
+//
+//        return chartPanel;
+//	}
 
-		ChartPanel chartPanel;
 
-		// Creating the chart from the current charts engine
-		JFreeChart chart = this.chartsEngine.createCAFactorialMapChart(ca);
 
-		chartPanel = this.getTheme().createChartPanel(this.swtChartsComponentProvider, chart);
+//	/**
+//	 * Creates a chart panel containing a CAH plot from the specified CAH result.
+//	 * @param cah
+//	 * @return the chart panel
+//	 */
+//	public ChartPanel createCAHChartPanel(CAH cah, boolean display2D)	{
+//
+//		ChartPanel chartPanel;
+//
+//		// Creating the chart from the current charts engine
+//		JFreeChart chart = (JFreeChart) this.chartsEngine.createCAHChart(cah, display2D);
+//
+//		chartPanel = this.getTheme().createChartPanel(this.swtChartsComponentProvider, chart);
+//
+//        return chartPanel;
+//	}
 
-		// Need to be called after the theme is applied to the chart else the legends of not visible series aren't created
-		chart.getXYPlot().getRenderer().setSeriesVisible(0, ca.isShowVariables()); // Rows
-		chart.getXYPlot().getRenderer().setSeriesVisible(1, ca.isShowIndividuals()); // Columns
 
-		((FCAItemSelectionRenderer) chart.getXYPlot().getRenderer()).setChartPanel(chartPanel);
-
-
-        return chartPanel;
-	}
-
-
-
-	/**
-	 * Creates a chart panel containing a bar chart with the singular values of the specified CA result.
-	 * @param ca
-	 * @return
-	 */
-	public ChartPanel createCASingularValuesBarChartChartPanel(CA ca)	{
-
-		ChartPanel chartPanel;
-
-		// Creating the chart from the current charts engine
-        JFreeChart chart = this.chartsEngine.createCASingularValuesBarChart(ca);
-
-        chartPanel = this.getTheme().createChartPanel(this.swtChartsComponentProvider, chart);
-
-        return chartPanel;
-	}
-
-
-
-	/**
-	 * Creates a chart panel containing a CAH plot from the specified CAH result.
-	 * @param cah
-	 * @return the chart panel
-	 */
-	public ChartPanel createCAHChartPanel(CAH cah, boolean display2D)	{
-
-		ChartPanel chartPanel;
-
-		// Creating the chart from the current charts engine
-		JFreeChart chart = (JFreeChart) this.chartsEngine.createCAHChart(cah, display2D);
-
-		chartPanel = this.getTheme().createChartPanel(this.swtChartsComponentProvider, chart);
-
-        return chartPanel;
-	}
-
-
 //	/**
 //	 * Creates a chart panel containing a bar chart with the dimensions of the specified partition result.
 //	 * @param partition
Index: tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/events/DefaultChartMouseListener.java
===================================================================
--- tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/events/DefaultChartMouseListener.java	(revision 136)
+++ tmp/org.txm.chartsengine.jfreechart.rcp/src/org/txm/chartsengine/jfreechart/rcp/events/DefaultChartMouseListener.java	(revision 137)
@@ -19,7 +19,7 @@
 import org.jfree.chart.plot.XYPlot;
 import org.jfree.data.category.CategoryDataset;
 import org.jfree.data.xy.XYSeriesCollection;
-import org.txm.chartsengine.jfreechart.core.datasets.FCAXYDataset;
+import org.txm.ca.core.chartsengine.jfreechart.datasets.FCAXYDataset;
 import org.txm.chartsengine.jfreechart.core.renderers.MultipleItemsSelector;
 import org.txm.chartsengine.jfreechart.core.renderers.interfaces.IItemSelectionRenderer;
 import org.txm.chartsengine.rcp.IChartComponent;
@@ -151,7 +151,7 @@
 						}
 					}
 
-
+					// FIXME: this code must be extract in each plugin (CA, Progression, etc.) and stored in some EventCallBack extensions
 					// update text menu according to the current selection
 					if(renderer.getItemsSelector() instanceof MultipleItemsSelector && ((MultipleItemsSelector) renderer.getItemsSelector()).getSelectedSeriesCount() > 0)	{
 						// XY plot
@@ -195,6 +195,7 @@
 
 						}
 					}
+					// End of FIXME
 				}
 			}
 		}
@@ -241,6 +242,7 @@
 	@Override
 	public void chartMouseMoved(ChartMouseEvent event) {
 
+		
 		// Mouse over selection
 		ChartEntity entity = event.getEntity();
 
